version: "3.8"
services:
  dev-app-nodejs:
    container_name: dev-app-nodejs
    image: node:18.16.0-alpine3.18
    tty: true
    working_dir: /workdir
    volumes:
      - ../../:/workdir
      - pkg-data:/workdir/node_modules
    environment:
      NODE_ENV: development
    ports:
      - "3000:3000"

volumes:
  pkg-data: